### Hierarchy

- GetVersionClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorGetVersion
- options_

### Methods

- getVersion

## Constructors

### constructor

- new GetVersionClient(hostname: string, credentials?: null | {}, options?: null | {}): GetVersionClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:89

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns GetVersionClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:84

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:86

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:85

### methodDescriptorGetVersion

methodDescriptorGetVersion: MethodDescriptor < GetVersionRequest , GetVersionReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:102

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:87

## Methods

### getVersion

- getVersion(request: GetVersionRequest, metadata: null | Metadata ): Promise< GetVersionReply >
- getVersion(request: GetVersionRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetVersionReply ) => void): ClientReadableStream < GetVersionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:113

  #### Parameters

  - ##### request: GetVersionRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetVersionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:117

  #### Parameters

  - ##### request: GetVersionRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetVersionReply ) => void

    - - (err: RpcError, response: GetVersionReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetVersionReply

        #### Returns void

  #### Returns ClientReadableStream < GetVersionReply >

Generated using TypeDoc